<?php

namespace Entity\Model;

use Helpers\QueryBuilder\QueryBuilder;
use Helpers\Trad\Trad;

class CataEnt extends QueryBuilder
{
    protected string $table = 'CATAENT with (nolock)';
    protected string $primaryKey = 'ID_CATAL';
    protected string $libelle = 'DESCRIPTION_CATA';

    /**
     * Fonction permettant de tester si un catalogue est considéré comme multifounisseur ou pas
     * @param array<mixed>|null $catalogue
     * @return boolean : retourne vrai si la catalogue est du type R ( multifournisseur remise) ou bien du type X( multifournisseur accord-cadre) sinon faux
     */
    public function isMultiFournisseur($catalogue) :bool
    {
        if ($catalogue === null) {
            return false;
        }
        if ($catalogue['TYPECATA'] == 'R'
        || $catalogue['TYPECATA'] == 'X'
        || $catalogue['TYPECATA'] == 'M'
        || $catalogue['TYPECATA'] == 'G') {
            return true;
        }

        return false;
    }
}
